Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-sdl2/optiondlg.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
optiondlg.h File Reference
`#include "optiondlg_g.h"`

Go to the source code of this file.

## Functions

void | popup_optiondlg (void)
void | popdown_optiondlg (bool leave_game)
void | option_dialog_popup (const char *name, const struct option_set *poptset)
void | init_options_button (void)
void | enable_options_button (void)
void | disable_options_button (void)
int | optiondlg_callback (struct widget *button)

## Function Documentation

## ◆ disable_options_button()

void disable_options_button | ( | void |  | ) |

Disable button to open option dialog.

Definition at line 1374 of file optiondlg.c.

Referenced by disable_main_widgets().

## ◆ enable_options_button()

void enable_options_button | ( | void |  | ) |

Enable button to open option dialog.

Definition at line 1366 of file optiondlg.c.

Referenced by back_callback(), disconnect_callback(), enable_main_widgets(), init_options_button(), and show_game_page().

## ◆ init_options_button()

void init_options_button | ( | void |  | ) |

Create button to open option dialog.

Definition at line 1382 of file optiondlg.c.

Referenced by show_game_page().

## ◆ option_dialog_popup()

void option_dialog_popup | ( | const char * | name,
|  | const struct option_set * | poptset
| ) |  |

Popup the option dialog for the option set.

Popup the option dialog for the option set. FIXME/PORTME

Definition at line 979 of file optiondlg.c.

## ◆ optiondlg_callback()

int optiondlg_callback | ( | struct widget * | pbutton | ) |

User interacted with the option dialog button.

Definition at line 1345 of file optiondlg.c.

Referenced by init_options_button(), and popup_minimap_window().

## ◆ popdown_optiondlg()

void popdown_optiondlg | ( | bool | leave_game | ) |

Close option dialog.

Definition at line 1451 of file optiondlg.c.

Referenced by back_callback(), disconnect_callback(), exit_callback(), and popdown_all_game_dialogs().

## ◆ popup_optiondlg()

void popup_optiondlg | ( | void |  | ) |

Popup the main option menu dialog.

Definition at line 1432 of file optiondlg.c.

Referenced by option_dialog_popup(), optiondlg_callback(), and options_callback().